<?php

include_once('./mods/pdimages/defaults.php');

if(!defined("PHORUM_ADMIN")) return;


# save settings
if(count($_POST))
{
    $PHORUM["mod_pdimages"]["show_author"]=($_POST["show_author"]) ? 1 : 0;
    $PHORUM["mod_pdimages"]["show_activity"]=($_POST["show_activity"]) ? 1 : 0;
    $PHORUM["mod_pdimages"]["show_karma"]=($_POST["show_karma"]) ? 1 : 0;

    if(empty($error))
    {
        phorum_db_update_settings(array(
            "mod_pdimages" => $PHORUM["mod_pdimages"]
        ));
        phorum_admin_okmsg("The settings were updated successfully");
    }
    else
    {
        phorum_admin_error($error);
    }
}

include_once "./include/admin/PhorumInputForm.php";
$frm = new PhorumInputForm ("", "post", "Save");
$frm->hidden("module", "modsettings");
$frm->hidden("mod", "pdimages");

$frm->addbreak("Edit Settings of the PD-Images module");

$frm->addbreak();
$frm->addmessage("Select which data you want to show.");

# form rows
$frm->addrow("Show author name?", $frm->checkbox("show_author", "1", "Yes", $PHORUM["mod_pdimages"]["show_author"]));
$frm->addrow("Show activity?", $frm->checkbox("show_activity", "1", "Yes", $PHORUM["mod_pdimages"]["show_activity"]));
$frm->addrow("Show karma?", $frm->checkbox("show_karma", "1", "Yes", $PHORUM["mod_pdimages"]["show_karma"]));

$frm->show();
?>