<?php
if (!defined('PHORUM')) return;

require_once('./mods/pdimages/defaults.php');

function mod_pdimages()
{
    $PHORUM=$GLOBALS["PHORUM"];

    $data = NULL;
    $use_cache = 1;

    if ($data == NULL){
            $data = mod_pdimages_getdata();
    }

    # switches
    $PHORUM['DATA']['mod_pdimages']['SHOW_AUTHOR'] = $PHORUM["mod_pdimages"]["show_author"];
    $PHORUM['DATA']['mod_pdimages']['SHOW_ACTIVITY'] = $PHORUM["mod_pdimages"]["show_activity"];
    $PHORUM['DATA']['mod_pdimages']['SHOW_KARMA'] = $PHORUM["mod_pdimages"]["show_karma"];
    
    # settings
    $PHORUM['DATA']['mod_pdimages']['Data'] = $data;
    $PHORUM['DATA']['mod_pdimages']['KARMA_BAR'] = mod_pdimages_getkarmabar($data['user']['karma']);
    
    include(phorum_get_template('pdimages::footer'));
    return;
}

# Queries JSON data.
#
# @return Array
#
function mod_pdimages_getdata()
{
    $PHORUM = $GLOBALS["PHORUM"];
    #$url = "http://localhost/bobl3/index.php?json=latestslideshow";
    $url = "http://www.slideshine.de/index.php?json=latestslideshow";
    
    $data=json_decode(file_get_contents($url), true);
    
    return $data;
}

function mod_pdimages_getkarmabar($karma) {
    $karmabar = "<font color='#880000'>" . str_repeat("|", $karma) . "</font>";
    $rest = "<font color='#AAAAAA'>" . str_repeat("|", (25 - $karma)) . "</font>";
    
    return $karmabar . $rest;
}
?>